<template>
    <plan-form :plan="plan" v-if="plan"/>
</template>

<script>
import PlanForm from "../components/plans/PlanForm";
import {mapGetters} from 'vuex';

export default {
		name: "PlanEdit",
        props: {
            id: {
                required: true
            },
        },
        data(){
		    return {
		        plan: undefined
            }
        },
        computed: {
		    ...mapGetters([
		        'axios'
            ])
        },
        watch: {
		    $route(to){
		        if(to.name === 'plans_edit'){
		            this.plan = undefined;
                    this.loadPlan();
                }
            }
        },
        methods: {
		    loadPlan(){
                this.axios
                    .get(`plans/${this.id}`)
                    .then(resp => resp.data)
                    .then(plan => this.plan = plan);
            }
        },
        components: {
		    'plan-form': PlanForm
        },
        mounted() {
		    this.loadPlan();
        }
    }
</script>

<style scoped>

</style>
